Summary:	C++ wrappers for libgnomeprintui
Summary(pl.UTF-8):	Interfejsy C++ dla libgnomeprintui
Name:		libgnomeprintuimm
Version:	2.5.2
Release:	5
License:	LGPL v2+
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libgnomeprintuimm/2.5/%{name}-%{version}.tar.bz2
# Source0-md5:	e5272e207f40af5116813bb0d92b352d
URL:		http://www.gnome.org/
BuildRequires:	gtkmm-devel >= 2.4.5
BuildRequires:	libgnomeprintmm-devel >= 2.5.1
BuildRequires:	libgnomeprintui-devel >= 2.8.0
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
C++ wrappers for libgnomeprintui.

%description -l pl.UTF-8
Interfejsy C++ dla libgnomeprintui.

%package devel
Summary:	Devel files for libgnomeprintuimm
Summary(pl.UTF-8):	Pliki nagłówkowe dla libgnomeprintuimm
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gtkmm-devel >= 2.4.5
Requires:	libgnomeprintmm-devel >= 2.5.1
Requires:	libgnomeprintui-devel >= 2.8.0

%description devel
Devel files for libgnomeprintuimm.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla libgnomeprintuimm.

%package static
Summary:	libgnomeprintuimm static library
Summary(pl.UTF-8):	Biblioteka statyczna libgnomeprintuimm
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
libgnomeprintuimm static library.

%description static -l pl.UTF-8
Biblioteka statyczna libgnomeprintuimm.

%prep
%setup -q

%build
%configure \
	--enable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libgnomeprintuimm-2.5.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgnomeprintuimm-2.5.so.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnomeprintuimm-2.5.so
%{_includedir}/%{name}-2.6
%{_libdir}/%{name}-2.6
%{_libdir}/%{name}-2.0
%{_pkgconfigdir}/%{name}-2.6.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgnomeprintuimm-2.5.a
%changelog
* Sat Jul 12 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libgnomeprintuimm.git;a=log;h=master

* Sat Jul 12 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> c683303
- Release 5 (by relup.sh)

* Sun Feb 12 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> cf43658
- release 4

* Sun Mar 27 2011 Artur Frysiak <artur@frysiak.net> bfbb0ab
- drop libtool file
- rel. 3

* Sun Nov 16 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> a9fb36b
- release 2

* Sat Jan 26 2008 Jakub Bogusz <qboosh@pld-linux.org> ee2d7fe
- fixed soname

* Sat Jan 26 2008 Jakub Bogusz <qboosh@pld-linux.org> 8799856
- fixed deps
- added X11 to Groups
- License is LGPL (v2+)

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 7f2ac69
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 81c7a10
- converted to UTF-8

* Mon Sep 20 2004 grzegol <grzegol@pld-linux.org> c2ae6d6
- updated to 2.5.2

* Tue Jun 08 2004 grzegol <grzegol@pld-linux.org> 2042c99
- updated to 2.5.1

* Fri Apr 09 2004 grzegol <grzegol@pld-linux.org> 6b298d3
- rel. 8 to rebuild with gtkmm-2.3.8

* Wed Mar 31 2004 grzegol <grzegol@pld-linux.org> 4e23373
- rel. 7 to rebuild with glibmm-2.3.7/gtkmm-2.3.6

* Mon Mar 15 2004 grzegol <grzegol@pld-linux.org> 46b01dd
- rel. 6 to rebuild with glibmm-2.3.7/gtkmm-2.3.6

* Thu Mar 04 2004 grzegol <grzegol@pld-linux.org> ad55781
- rel. 5 to rebuild with gtkmm-2.3.5

* Sat Feb 14 2004 grzegol <grzegol@pld-linux.org> 6809452
- rel. 4 to rebuild with gtkmm-2.3.4
- updated BRs and Rs

* Sat Feb 07 2004 grzegol <grzegol@pld-linux.org> cf25999
- rel. 3 to rebuild with glibmm-2.3.4/gtkmm-2.3.3

* Sat Jan 24 2004 grzegol <grzegol@pld-linux.org> 7429812
- rel. 2 to rebuild with glibmm-2.3.3/gtkmm-2.3.2

* Mon Jan 12 2004 grzegol <grzegol@pld-linux.org> f89cc07
- new

